PerformForward (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class PerformForward

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractPerformForward
              org.apache.struts.chain.commands.servlet.PerformForward

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class PerformForward

extends AbstractPerformForward

Perform forwarding or redirection based on the specified `ForwardConfig` (if any).

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`PerformForward()`

Method Summary
`protected void` | `perform(ActionContext context, ForwardConfig forwardConfig)` Perform the appropriate processing on the specified `ForwardConfig`.

Methods inherited from class org.apache.struts.chain.commands.AbstractPerformForward
`execute`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerformForward

    public PerformForward()

Method Detail

### perform

    protected void perform(ActionContext context,
                           ForwardConfig forwardConfig)
                    throws Exception

  Perform the appropriate processing on the specified `ForwardConfig`.

  Specified by:
    `perform` in class `AbstractPerformForward`
  Parameters:
    `context` - The context for this request
    `forwardConfig` - The forward to be performed
  Throws:
    `Exception` - if thrown by the `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.